|  | Home | Documentation | saml1__AuthorizationDecisionStatementType Struct Reference updated Sun Sep 4 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AuthorizationDecisionStatementType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AuthorizationDecisionStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__AuthorizationDecisionStatementType:
[legend]

## Public Attributes
struct saml1__SubjectType * | saml1__Subject
| INHERITED FROM saml1__StatementAbstractType: More...
$int | __sizeAction
| Size of the dynamic array of struct saml1__ActionType* is 1..unbounded. More...
struct saml1__ActionType * | saml1__Action
| Array struct saml1__ActionType* of size 1..unbounded. More...
struct saml1__EvidenceType * | saml1__Evidence
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Evidence. More...
char * | Resource
| Attribute "Resource" of XSD type xs:anyURI. More...
enum saml1__DecisionType | Decision
| Attribute "Decision" of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":DecisionType. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AuthorizationDecisionStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType.

struct saml1__AuthorizationDecisionStatementType operations:

- soap_default_saml1__AuthorizationDecisionStatementType(soap*, saml1__AuthorizationDecisionStatementType*) reset members to default
- int soap_read_saml1__AuthorizationDecisionStatementType(soap*, saml1__AuthorizationDecisionStatementType*) deserialize from a source
- int soap_write_saml1__AuthorizationDecisionStatementType(soap*, saml1__AuthorizationDecisionStatementType*) serialize to a sink
- saml1__AuthorizationDecisionStatementType* soap_dup_saml1__AuthorizationDecisionStatementType(soap*, saml1__AuthorizationDecisionStatementType* dst, saml1__AuthorizationDecisionStatementType <em>src) returns deep copy of saml1__AuthorizationDecisionStatementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__AuthorizationDecisionStatementType(saml1__AuthorizationDecisionStatementType) deep deletes saml1__AuthorizationDecisionStatementType data members, use only on dst after soap_dup_saml1__AuthorizationDecisionStatementType(NULL, saml1__AuthorizationDecisionStatementType *dst, saml1__AuthorizationDecisionStatementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml1__AuthorizationDecisionStatementType::__sizeAction

Size of the dynamic array of struct saml1__ActionType* is 1..unbounded.

enum saml1__DecisionType saml1__AuthorizationDecisionStatementType::Decision

Attribute "Decision" of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":DecisionType.

Required attribute.

char* saml1__AuthorizationDecisionStatementType::Resource

Attribute "Resource" of XSD type xs:anyURI.

Required attribute.

struct saml1__ActionType* saml1__AuthorizationDecisionStatementType::saml1__Action

Array struct saml1__ActionType* of size 1..unbounded.

struct saml1__EvidenceType* saml1__AuthorizationDecisionStatementType::saml1__Evidence

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Evidence.

Optional element.

struct saml1__SubjectType* saml1__AuthorizationDecisionStatementType::saml1__Subject

INHERITED FROM saml1__StatementAbstractType:

INHERITED FROM saml1__SubjectStatementAbstractType: Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Subject. Required element.

The documentation for this struct was generated from the following file:

- saml1.h